import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 840;
const height = 455;
const centerX = width / 2;
const centerY = height /2;
const strokeWidth = 35;
const eyeOffsetX = 125;
const eyeOffsetY = 30;
const eyebrowYOffset = 80;
const eyeRadius = 30;
const mouthWidth = 10;
const mouthRadius = 75;

//creation of mouth
const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/1.5)
	.endAngle(Math.PI*3/2.3);



//creation of eye arc
const eyeArc = d3.arc()
    .innerRadius(1)
    .outerRadius(30)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);

//creation of ear arc
const earArc = d3.arc()
    .innerRadius(60)
    .outerRadius(80)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="orange"
        stroke="brown"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/1.5}
      	fill="white" //fill the eye color 
      	stroke="black" //border color of eye
      	stroke-width="3" //border width of eye
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/1.5}
      	fill="white" //fill the eye color 
      	stroke="black" //border color of eye
      	stroke-width="3" //border width of eye
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/3}
        fill = "black" //fill the eye ball color
        stroke = "white" //border color of eye ball
      />
    <circle
        cx={-eyeOffsetX}
        cy={eyeOffsetY}
        r={eyeRadius/1}
        fill = "pink" //fill the eye ball color
        
      />
    <line
        x1={1}
        y1={50}
        x2={80}
        y2={60}
        stroke = "brown"
        stroke-width = '30'
      />
    <line
        x1={-1}
        y1={50}
        x2={-80}
        y2={60}
        stroke = "brown"
        stroke-width = '30'
      />
    <line
        x1={90}
        y1={310}
        x2={90}
        y2={180}
        stroke = "brown"
        stroke-width = '14'
      />
    <line
        x1={-90}
        y1={310}
        x2={-90}
        y2={180}
        stroke = "brown"
        stroke-width = '18'
      />
    <line
        x1={-60}
        y1={300}
        x2={-60}
        y2={190}
        stroke = "brown"
        stroke-width = '15'
      />
    <line
        x1={60}
        y1={300}
        x2={60}
        y2={200}
        stroke = "brown"
        stroke-width = '15'
      />
    <line
        x1={-40}
        y1={300}
        x2={-40}
        y2={200}
        stroke = "brown"
        stroke-width = '15'
      />
     <line
        x1={40}
        y1={300}
        x2={40}
        y2={200}
        stroke = "brown"
        stroke-width = '15'
      />
    

  <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/3}
        fill = "black" //fill the eye ball color
        stroke = "white" //border color of eye ball
      />
    <circle
        cx={eyeOffsetX}
        cy={eyeOffsetY}
        r={eyeRadius/1}
        fill = "pink" //fill the eye ball color
        
      />
    <ellipse
        rx={eyeRadius}
        ry={eyeRadius/2}
        fill = "brown" //file the ellipse color
        stroke = "black" //borrder color of ellipse
      	transform = "rotate(-90  )"
      />
      
      
      
      <ellipse
        rx={mouthRadius/40}
        ry={mouthRadius/50}
        fill = "brown" //file the ellipse color
        stroke = "black" //borrder color of ellipse
      	transform = "rotate(-10)"
      />
        
    <path 
        d = {eyeArc()}
        transform = "rotate(4)    translate(-135,-68)"
        fill = "black"
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(-4)    translate(140,-68)"
        fill = "black"
      />
    	
      <path 
        d = {earArc()} 
        transform = "rotate(-50) translate(10,-215)"
        fill = "brown"
      />
    <path 
        d = {earArc()} 
        transform = "rotate(50) translate(10, -215)"
        fill = "brown"
      />
  		<path d={mouthArc()}
    		transform = "translate(-6,60)"
      	fill = "black"
      />
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);